Package com.emc.documentum.rest.dfc

# Class TypeParameter

java.lang.Object
com.emc.documentum.rest.dfc.TypeParameter

public class TypeParameter extends Object
The parameter used to get the type definition

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeParameter()`
  `TypeParameter(TypeParameter typeParameter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `convertType()`
  `TypeParameter`
  `convertType(boolean convertType)`
  Set whether convert the type attributes' data type.
  `String`
  `display()`
  `TypeParameter`
  `display(String scope, String display)`
  Set the scope config name and the display config name, which are used to filter the attributes defined in the display config only.
  `boolean`
  `includeAll()`
  `TypeParameter`
  `includeAll(boolean includeAll)`
  Set whether include all info.
  `boolean`
  `includeAuditableEvents()`
  `TypeParameter`
  `includeAuditableEvents(boolean includeAuditableEvents)`
  Set whether include the auditable system and application events.
  `boolean`
  `includeBasicAttrInfo()`
  `TypeParameter`
  `includeBasicAttrInfo(boolean includeBasicAttrInfo)`
  Set whether include basic attribute info for the type, such as attribute name, data type, repeating...
  `boolean`
  `includeDDInfo()`
  `boolean`
  `includeDisplayConfigs()`
  `TypeParameter`
  `includeDisplayConfigs(boolean includeDisplayConfigs)`
  Set whether include display config info.
  `boolean`
  `includeLifecycle()`
  `TypeParameter`
  `includeLifecycle(boolean includeLifecycle)`
  Set whether include the lifecycle based type and attribute info.
  `boolean`
  `includeMappingTables()`
  `TypeParameter`
  `includeMappingTables(boolean includeMappingTables)`
  Set whether include mapping table info for the type and the attributes For the type mapping table, valid only when includeMoreDDTypeInfo is true For the attributes mapping table, valid only when includeBasicAttrInfo and includeMoreDDAttrInfo are true The default value is false
  `boolean`
  `includeMoreDDAttrInfo()`
  `TypeParameter`
  `includeMoreDDAttrInfo(boolean includeMoreDDAttrInfo)`
  Set whether include more data dictionary info for the attribute, such as label, default value, is hidden, is readonly, is required...
  `boolean`
  `includeMoreDDTypeInfo()`
  `TypeParameter`
  `includeMoreDDTypeInfo(boolean includeMoreDDTypeInfo)`
  Set whether include more data dictionary info for the type, such as type label, default lifecycle.
  `boolean`
  `includeVA()`
  `TypeParameter`
  `includeVA(boolean includeVA)`
  Set whether include the value assistance info.
  `boolean`
  `includeValueConstraints()`
  `TypeParameter`
  `includeValueConstraints(boolean includeValueConstraints)`
  Set whether include value constraints info for the type and the attributes For the type value constraints, valid only when includeMoreDDTypeInfo is true For the attributes value constraints, valid only when includeBasicAttrInfo and includeMoreDDAttrInfo are true The default value is false
  `boolean`
  `inherited()`
  `TypeParameter`
  `inherited(boolean inherited)`
  Set whether get the inherited attributes of the type.
  `String`
  `locale()`
  `TypeParameter`
  `locale(String locale)`
  Set the locale info.
  `String`
  `requestDigest()`
  `TypeParameter`
  `requestDigest(String requestDigest)`
  `String`
  `scope()`
  `com.documentum.fc.client.IDfSession`
  `session()`
  `TypeParameter`
  `session(com.documentum.fc.client.IDfSession session)`
  Set the session used by retrieve the type info.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypeParameter

    public TypeParameter()

  - ### TypeParameter

    public TypeParameter(TypeParameter typeParameter)

- ## Method Details

  - ### session

    public com.documentum.fc.client.IDfSession session()

  - ### session

    public TypeParameter session(com.documentum.fc.client.IDfSession session)
    Set the session used by retrieve the type info. If session is not set, then the manager will obtain a session by itself.
    Parameters:
      `session` - the session to be used
    Returns:
      TypeParameter itself

  - ### locale

    public String locale()

  - ### locale

    public TypeParameter locale(String locale)
    Set the locale info. If the local is not set, or incorrect, the default locale will be used.
    Parameters:
      `locale` - the locale string, like 'en'.
    Returns:
      TypeParameter itself

  - ### inherited

    public boolean inherited()

  - ### inherited

    public TypeParameter inherited(boolean inherited)
    Set whether get the inherited attributes of the type. The default value is true.
    Parameters:
      `inherited` - whether get inherited attributes
    Returns:
      TypeParameter itself

  - ### convertType

    public boolean convertType()

  - ### convertType

    public TypeParameter convertType(boolean convertType)
    Set whether convert the type attributes' data type. The default value is false
    Parameters:
      `convertType` - specify whether to convert the type attributes' date type
    Returns:
      TypeParameter itself

  - ### includeVA

    public boolean includeVA()

  - ### includeVA

    public TypeParameter includeVA(boolean includeVA)
    Set whether include the value assistance info. Only valid when both includeBasicAttrInfo and includeMoreDDAttrInfo are true. The default value is false
    Parameters:
      `includeVA` - whether include value assistance info
    Returns:
      TypeParameter itself

  - ### includeLifecycle

    public boolean includeLifecycle()

  - ### includeLifecycle

    public TypeParameter includeLifecycle(boolean includeLifecycle)
    Set whether include the lifecycle based type and attribute info. For the type info, only valid when includeMoreDDTypeInfo is true The default value is false
    Parameters:
      `includeLifecycle` - whether include lifecycle based type and attribute info
    Returns:
      TypeParameter itself

  - ### includeAuditableEvents

    public boolean includeAuditableEvents()

  - ### includeAuditableEvents

    public TypeParameter includeAuditableEvents(boolean includeAuditableEvents)
    Set whether include the auditable system and application events. Only valid when includeMoreDDTypeInfo is true The default value is false
    Parameters:
      `includeAuditableEvents` - specify whether include the auditable events
    Returns:
      TypeParameter itself

  - ### includeMappingTables

    public boolean includeMappingTables()

  - ### includeValueConstraints

    public TypeParameter includeValueConstraints(boolean includeValueConstraints)
    Set whether include value constraints info for the type and the attributes For the type value constraints, valid only when includeMoreDDTypeInfo is true For the attributes value constraints, valid only when includeBasicAttrInfo and includeMoreDDAttrInfo are true The default value is false
    Parameters:
      `includeValueConstraints` - whether include value constraints info
    Returns:
      TypeParameter itself

  - ### includeValueConstraints

    public boolean includeValueConstraints()

  - ### includeMappingTables

    public TypeParameter includeMappingTables(boolean includeMappingTables)
    Set whether include mapping table info for the type and the attributes For the type mapping table, valid only when includeMoreDDTypeInfo is true For the attributes mapping table, valid only when includeBasicAttrInfo and includeMoreDDAttrInfo are true The default value is false
    Parameters:
      `includeMappingTables` - whether include mapping table info
    Returns:
      TypeParameter itself

  - ### includeDisplayConfigs

    public boolean includeDisplayConfigs()

  - ### includeDisplayConfigs

    public TypeParameter includeDisplayConfigs(boolean includeDisplayConfigs)
    Set whether include display config info. Only valid when includeMoreDDTypeInfo is true The default value is false
    Parameters:
      `includeDisplayConfigs` - whether include display config info
    Returns:
      TypeParameter itself

  - ### includeMoreDDTypeInfo

    public boolean includeMoreDDTypeInfo()

  - ### includeMoreDDTypeInfo

    public TypeParameter includeMoreDDTypeInfo(boolean includeMoreDDTypeInfo)
    Set whether include more data dictionary info for the type, such as type label, default lifecycle. The default value is false
    Parameters:
      `includeMoreDDTypeInfo` - whether include more data dictionary info for the type
    Returns:
      TypeParameter itself

  - ### includeMoreDDAttrInfo

    public boolean includeMoreDDAttrInfo()

  - ### includeMoreDDAttrInfo

    public TypeParameter includeMoreDDAttrInfo(boolean includeMoreDDAttrInfo)
    Set whether include more data dictionary info for the attribute, such as label, default value, is hidden, is readonly, is required... Only valid when includeBasicAttrInfo is true. The default value is false
    Parameters:
      `includeMoreDDAttrInfo` - whether include more data dictionary info for the attribute
    Returns:
      TypeParameter itself

  - ### includeDDInfo

    public boolean includeDDInfo()

  - ### includeBasicAttrInfo

    public boolean includeBasicAttrInfo()

  - ### includeBasicAttrInfo

    public TypeParameter includeBasicAttrInfo(boolean includeBasicAttrInfo)
    Set whether include basic attribute info for the type, such as attribute name, data type, repeating... The default value is false
    Parameters:
      `includeBasicAttrInfo` - whether include basic attribute info
    Returns:
      TypeParameter itself

  - ### includeAll

    public TypeParameter includeAll(boolean includeAll)
    Set whether include all info. The default value is false
    Parameters:
      `includeAll` - whether include all info
    Returns:
      TypeParameter itself

  - ### includeAll

    public boolean includeAll()

  - ### scope

    public String scope()

  - ### display

    public String display()

  - ### display

    public TypeParameter display(String scope, String display)
    Set the scope config name and the display config name, which are used to filter the attributes defined in the display config only. Neither of the scope and display can be null. Only valid when includeBasicAttrInfo is true.

    The scope name is 'scope_value' of the dm_scope_config. `ScopeConfig.getScope()`

    The display name is using 'object_name' of the dm_display_config as the key, which has the same value as 'map_data_string' of the dmi_dd_type_info. Then related map_display_string is the display name. `DisplayConfig.getName()` `MappingTable`

    Parameters:
      `scope` - the scope name
      `display` - the display name
    Returns:
      TypeParameter itself

  - ### requestDigest

    public String requestDigest()

  - ### requestDigest

    public TypeParameter requestDigest(String requestDigest)